/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package forme.komponente.model;

import domen.Racun;
import domen.Stavkaracuna;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class ModelRacuna extends AbstractTableModel{
    Racun racun;

    public ModelRacuna(Racun racun) {
        this.racun = racun;
    }
    
    
    
    @Override
    public int getRowCount() {
        return racun.getStavkaracunaList().size();
    }

    @Override
    public int getColumnCount() {
        return 5;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        Stavkaracuna sr = racun.getStavkaracunaList().get(rowIndex);
        switch (columnIndex) {
            case 0: return sr.getStavkaracunaPK().getRedniBroj();
            case 1: return sr.getProizvodSifra().getSifra();
            case 2: return sr.getProizvodSifra().getNaziv();
            case 3: return sr.getCena();
            case 4: return sr.getKolicina();
            default: return "n/a";
        }
    }

    @Override
    public String getColumnName(int column) {
        switch (column) {
            case 0: return "RB";
            case 1: return "Sifra proizvoda";
            case 2: return "Naziv";
            case 3: return "Cena";
            case 4: return "Kolicina";
            default: return "n/a";
        }
    }

    public void obrisiStavku(int izabranRed) {
        racun.getStavkaracunaList().remove(izabranRed);
    }
    
    
    
}
