/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package forme.komponente.model;

import domen.Poslovnipartner;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class ModelTabelePoslovniPartner extends AbstractTableModel {

    List<Poslovnipartner> listaPP;

    public ModelTabelePoslovniPartner(List<Poslovnipartner> listaPP) {
        this.listaPP = listaPP;
    }

    @Override
    public int getRowCount() {
        return listaPP.size();
    }

    @Override
    public int getColumnCount() {
        return 8;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        Poslovnipartner pp = listaPP.get(rowIndex);
        switch (columnIndex) {
            case 0:
                return pp.getMatBroj();
            case 1:
                return pp.getPib();
            case 2:
                return pp.getNaziv();
            case 3:
                return pp.getZr();
            case 4:
                return pp.getDatumOsnivanja();
            case 5:
                return pp.getUlicaIBroj();
            case 6:
                return pp.getPttMesto().getPtt();
            case 7:
                return pp.getPttMesto().getNaziv();
            default:
                return "n/a";
        }
    }

}
