/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package forme.komponente.model;

import domen.Proizvod;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class ModelTabeleProizvod extends AbstractTableModel {
    private List<Proizvod> lp;

    public ModelTabeleProizvod(List<Proizvod> lp) {
        this.lp = lp;
    }
    
    
    
    @Override
    public int getRowCount() {
        return lp.size();
    }

    @Override
    public int getColumnCount() {
        return 3;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        Proizvod p = lp.get(rowIndex);
        switch (columnIndex) {
            case 0: return p.getSifra();
            case 1: return p.getNaziv();
            case 2: return p.getCena();
            default: return "n/a";
        }
    }

    @Override
    public String getColumnName(int column) {
        switch (column) {
            case 0: return "Sifra";
            case 1: return "Naziv";
            case 2: return "Cena";
            default: return "n/a";
        }
    }

    public Proizvod vratiProizvod(int izabranRed) {
        return lp.get(izabranRed);
    }
    
    
    
}
